%"Copyright 2015 Isaac Jose Manjarres"

%This program is free software: you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation, either version 3 of the License, or
%(at your option) any later version.

%The Mako Eye Tracking Toolbox is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.

%You should have received a copy of the GNU General Public License
%along with this program.  If not, see <http://www.gnu.org/licenses/>.

%Author: Isaac Jose Manjarres
%Name: writeCalibrationData
%Parameters: subjectNumber, gazeCalibLogFD, accuracyStruct
%The purpose of this function is to write the calibration data obtained from the
%eye tracker during the calibration procedure into a calibration log. The data 
%is passed to the function through a struct. 
function writeCalibrationData(subjectNumber, gazeCalibLogFD, accuracyStruct)
  calibrationData = sprintf('%f,%f,%f,%f', accuracyStruct.deviationLX,... 
                            accuracyStruct.deviationLY,... 
                            accuracyStruct.deviationRX,... 
                            accuracyStruct.deviationRY);
  fprintf(gazeCalibLogFD, '%d,%s\r\n', subjectNumber, calibrationData);
  return
